
export class SoSFlipDialog extends Dialog {

  /* -------------------------------------------- */
  constructor(flipData, html) {
    let conf = {
      title: 'Flip Dialog',
      content: html,
      buttons: {
        'flip-close': { label: 'Flip and Close', callback: html => this.onFlipClose() }
      },
      default: 'flip'
    };
    super(conf, { classes: ["sosdialog"], width: 800, height: 800  });
  
    this.flipData = flipData;
  }

  /* -------------------------------------------- */
  onFlipClose( ) {

  }

  /* -------------------------------------------- */
  async updateFlip( flipData ) {
    console.log("UPDATE !!!", flipData);
    $('.view-deck').remove();
    $("#view-deck").append(await flipData.actor.cardDeck.getDeckHTML());

    $('.view-discard').remove();
    $("#view-discard").append(await flipData.actor.cardDeck.getDiscardTopHTML());

    $('.view-edge').remove();
    $("#view-edge").append(await flipData.actor.cardDeck.getEdgeHTML());
  }
  
  /* -------------------------------------------- */
  activateListeners(html) {
    super.activateListeners(html);

    this.bringToTop();

    var dialog = this;
      
    function onLoad() {
      let flipData = dialog.flipData;
      //RdDItemSort.setCoutReveReel(rollData.selectedSort);
      //$("#diffLibre").val(Misc.toInt(rollData.diffLibre));
      //$("#diffConditions").val(Misc.toInt(rollData.diffConditions));
      dialog.updateFlip(flipData);
    }
  
    // Setup everything onload
    $(function () { onLoad(); });
    
    html.find('#do-flip-deck').click((event) => {
      dialog.flipData.actor.cardDeck.doFlipFromDeck();
      dialog.updateFlip( dialog.flipData);
    });

    
  }
}